using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using WCS.Entity.Protocol.Station;

namespace WCS.Entity.Protocol.DataStructure
{
    [DataContract]
    public class ProtocolData
    {
        [DataMember(Order = 0)]
        public string Code { get; set; } 
        [DataMember(Order = 1)]
        public DateTime Frame { get; set; }
         
    }

    [DataContract]
    public class ProtocolData<T>:ProtocolData
    { 
        [DataMember(Order = 2)]
        public T Data { get; set; }
    }
}
